This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1263889 - WebTest >= 2.0 required to run tests
WebTest >= 2.0 required to run tests
Status: CLOSED DEFERRED
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-webtest (Show other bugs)
7.0 (Kilo)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 7.0 (Kilo)
Assigned To: Lon Hohberger
yeylon@redhat.com
: Reopened, ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-16 21:37 EDT by Jamie Lennox
Modified: 2016-04-26 16:26 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-14 14:57:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jamie Lennox 2015-09-16 21:37:07 EDT
The global-requirements currently contains WebTest>=2.0 and if i run the keystone tests with the current yum installed python-webtest (1.3.4) i get: 

'InputWrapper' object has no attribute 'seek'
Traceback (most recent call last):
  File "/home/cloud-user/keystone/keystone/common/wsgi.py", line 452, in __call__
    response = request.get_response(self.application)
  File "/usr/lib/python2.7/site-packages/webob/request.py", line 1296, in send
    application, catch_exc_info=False)
  File "/usr/lib/python2.7/site-packages/webob/request.py", line 1252, in call_application
    self.body_file_raw.seek(0)
AttributeError: 'InputWrapper' object has no attribute 'seek'


Can we rebase this to > 2.0?
Comment 9 Lon Hohberger 2015-10-06 17:07:19 EDT
New build and run-time requirements:

  python-beautifulsoup4
  python-waitress
  python-html5lib

New build only requirements:

  python-WSGIProxy2
Comment 11 Lon Hohberger 2015-10-06 17:16:08 EDT
This requirement's been around for some time.
Comment 12 Lon Hohberger 2015-10-06 17:17:18 EDT
commit cecc884fc17bec174ba5d97ffcafc238ed1e23e1
Author: Dirk Mueller <dirk@dmllr.de>
Date:   Sun Sep 29 22:14:24 2013 +0200

    Raise/Relax WebTest requirement to match Keystone

Note You need to log in before you can comment on or make changes to this bug.